<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag list of entered articals into stock
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
 
	pagepermission('stock', 'w');

	load_c('SQL');

	$__SQL	=  new SQL();

	load_c('TABLE');

	# set the base

	$table	=	new TABLE($_SESSION['BASE'].'.finished_goods_stock_enter', 'stockenterdetails', 'stockenterchange', 'stockenterdelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('delivery_list_number', 'box');
	$table	->	column('bill_number', 'box');
	$table	->	column('code', 'box');
	$table	->	column('quantity', 'numeric');
	$table	->	column('date', 'date');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'code');
	$view 	->	assign('SELF', backward());
	$view	->	display();
	
?>
