<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag assign cutomer to seller (used by salary bonus calculations)
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	check_year_for_write('salarys');

	pagepermission('salarys', 'w');

	if (isset($_GET['new'])) unset($_SESSION['seller2customerID'], $_SESSION['seller2customername']);

	if (isset($_POST['selected']))	{

		$_SESSION['seller2customerID'] 		=	$_POST['employeeID'];
		$_SESSION['seller2customername']	=	$_POST['employeename'];
	} 

	load_c('SQL');

	$__SQL	= new SQL();

	if (isset($_SESSION['seller2customerID']))	{

		load_c('SELLERSET');

		$table	=	new TABLE($_SESSION['BASE'].'.addressbook', PAGEINCREMENT, $_SESSION['list_limit']);

		$table	->	column('personID');
		$table	->	column('contactname', 'box');
		$table	->	column('country', 'box');
		$table	->	column('city', 'box');
		$table	->	column('telephone1');
		$table	->	column('contacttype', 'static');
		$table	->	column('seller');

		$table	->	create();

		$HTMLTABLE	=	&$table->TABLE;

		$_SESSION['FROM'] = backward();

		$view	=	new View('sellerset');
		$view 	->	assign('SELF', backward());
		$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
		$view 	->	assign('ASSIGN_CUSTOMER_TO_SELLER', $__LANG->get('assigncustomer2seller'));
		$view 	->	assign('EMPLOYEE_ID', $_SESSION['seller2customerID']);
		$view 	->	assign('EMPLOYEE_NAME', $_SESSION['seller2customername']);
		$view 	->	assign('FOCUS', 'contactname');
		$view	->	assign('NOT_SET_STR', $__LANG->get('notset'));
		$view	->	display();

		exit;
	}

	# display employee select form

	load_m('employeesread');

	$__EMPLOYEES	=	new EMPLOYEESREAD();

	$EMPLOYEES	=	$__EMPLOYEES->read();

	unset($__EMPLOYEES, $__SQL);

	if (! $EMPLOYEES)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('noemployees'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('employeeselect');

	$view	->	assign('SELECTEMPLOYEE', $__LANG->get('selectemployee'));
	$view	->	assign('NAME', $__LANG->get('employeename'));
	$view	->	assign('EMPLOYEES', $EMPLOYEES); unset($EMPLOYEES);
	$view	->	assign('OK', $__LANG->get('ok'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=salarys');

	$view	->	display();

?>
