<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag bar code generation
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('stock', 'r');

	$BACKTO		=	'loader.php?cat=articaldetails&amp;id='.$_GET['id'];
	
	$CODE		=	base64_decode($_GET['enc']);

	$view	=	new View('barcode');

	$view	->	assign('BAR_CODE_GENERATOR', $__LANG->get('barcodegenerator'));
	$view	->	assign('BAR_TYPE', $__LANG->get('bartype'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('PRINT_CODE', $__LANG->get('printcode'));
	$view	->	assign('FONT_SIZE', $__LANG->get('fontsize'));
	$view	->	assign('BAR_WIDTH', $__LANG->get('barwidth'));
	$view	->	assign('BAR_CANVAS_WIDTH', $__LANG->get('barcanvaswidth'));
	$view	->	assign('BAR_CANVAS_HEIGHT', $__LANG->get('barcanvasheight'));
	$view	->	assign('PADDING', $__LANG->get('padding'));
	$view	->	assign('ARTICAL_CODE', $CODE);

	$view	->	assign('GENERATE', $__LANG->get('generate'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $BACKTO);

	$view	->	display();

?>
