<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag claim details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('payments', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('claimread');

	$__CLAIM	=	new CLAIMREAD();

	$CLAIMDATA	=	$__CLAIM->read($_GET['id']);

	unset($__CLAIM, $__SQL);

	if (! $CLAIMDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentclaim'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('claimdetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('CLAIMDETAILS', $__LANG->get('claimdetails', $_GET['id']));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('PAYMENT_DEADLINE', $__LANG->get('payment_deadline'));
	$view	->	assign('SUM', $__LANG->get('sum').' ('.$__CONF->get('payments', 'currency').')');
	$view	->	assign('BILLID', $__LANG->get('billID'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	
	# form data

	$view	->	assign('DATA', $CLAIMDATA); unset($CLAIMDATA);

	$view	->	display();
	
?>
