<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag window after delivery is updated
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	$view	=	new View('writedupdated');

	$view	->	assign('SELF', backward());
	$view	->	assign('LABEL', $__LANG->get('deliverychanged', $_GET['id']));
	$view	->	assign('ID', $_GET['id']);
	$view	->	assign('TYPE', 'delivery');
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));


	if (isset($_SESSION['FROM']))	{

		$BACKTO = $_SESSION['FROM'];

	}	else	  {

		$BACKTO = 'loader.php?cat=section&amp;id=deliverys';
	}

	$view	->	assign('CANCELTO', $BACKTO);

	if (isset($_GET['new']))	{

		$view -> assign('NEW', $__LANG->get('new'));
		$view -> assign('NEWTO', 'loader.php?cat='.$_GET['new']);
	}

	$view	->	display();

?>
