<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag feedstock request to service delete
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	check_year_for_write('services');

	pagepermission('services', 'w');

	if (isset($_GET['id']))	{

		$SERVICEID	=	$_GET['id'];

	}	else	  {

		$SERVICEID	=	$_POST['id'];
	}

	load_c('SQL');

	$__SQL	= new SQL();

	# read servicedata first
	
	load_m('serviceread');

	$__SERVICE	=	new SERVICEREAD();

	$SERVICEDATA	=	$__SERVICE->read($SERVICEID);

	if ($SERVICEDATA === FALSE)	{

		header('location: '.$_SESSION['FROM']);

		exit;
	}

	$SERVICECODE	=	$SERVICEDATA['code'];

	unset($SERVICEDATA, $__SERVICE);

	# verifyed delete it

	if (isset($_POST['YES']))	{

		load_m('feedstockrequestdelete');

		$__REQUEST 	=	new FEEDSTOCKREQUESTDELETE();

		$RESULT		=	$__REQUEST->delete($_POST['id']);

		unset($__REQUEST, $__SQL);

		if ($RESULT===TRUE)	{

			# deleted

			$view	=	new View('sucessbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('MESSAGE', $__LANG->get('feedstockrequestdeleted', $_POST['id'].' ('.$__LANG->get('code').': '.$SERVICECODE.')'));
			$view	->	assign('OK', $__LANG->get('ok'));
			$view	->	assign('BACKTO', $_SESSION['FROM']);
			$view	->	display();
			exit;
		}

		# not exists

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get($RESULT));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	# verify
	
	unset($__SQL);

	$view	=	new View('verify');
	$view	->	assign('SELF', backward());
	$view	->	assign('QUESTION', $__LANG->get('suretodelfeedstockrequest', $SERVICEID).' ('.$__LANG->get('code').': '.$SERVICECODE.') ?');
	$view	->	assign('YES', $__LANG->get('yes'));
	$view	->	assign('NO', $__LANG->get('no'));
	$view	->	assign('ID', $SERVICEID);
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	display();

?>
