<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag order details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('production', 'r');

	load_c('SQL');

	$__SQL	= new SQL;

	load_m('productionorderdetails');

	$__PRODUCTIONORDER	=	new PRODUCTIONORDERDETAILS();

	# if year is set change base to read

	if (isset($_GET['year'])) $__ORDER -> base('ebagdata'.$_GET['year']);

	$PRODUCTIONORDERDATA = $__PRODUCTIONORDER->read($_GET['id']);

	unset($__PRODUCTIONORDER, $__SQL);

	if (! $PRODUCTIONORDERDATA)		{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentproductionorder'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('productionorderdetails');
	
	$view	->	assign('SELF', backward());
	$view	->	assign('PRODUCTION_ORDER_DETAILS', $__LANG->get('productionorderdetails', $_GET['id'].'/'.$PRODUCTIONORDERDATA['productionorder_year']));
	$view	->	assign('PRODUCTIONORDERID', $_GET['id']);
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('ARTICALNAME', $__LANG->get('articalname'));
	$view	->	assign('CONNECTED_WITH_ORDER', $__LANG->get('connectedwithorder'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('DATE_OF_DEADLINE', $__LANG->get('date_of_deadline'));
	$view	->	assign('FINISHED', $__LANG->get('finished'));
	$view	->	assign('TECHNOLOGY', $__LANG->get('technology'));
	$view	->	assign('DRAWING_NUMBER', $__LANG->get('drawingnumber'));
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('PHASE', $__LANG->get('phase'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);

	# form data

	$YEAR = '';

	if (isset($_GET['year'])) $YEAR='&amp;year='.$_GET['year'];

	$PHASELINK	=	'loader.php?cat=productionphasedetails&amp;id='.$_GET['id'].$YEAR;

	$view	->	assign('PHASEDETAILSLINK', $PHASELINK);

	$view	->	assign('DATA', $PRODUCTIONORDERDATA); unset($PRODUCTIONORDERDATA);

	$view	->	display();

?>
