<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag service list search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('service_lists', 'r');

	# Delete previous search data

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);

		unset($_GET['new']);
	}

	# Display founds

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SQL');

			$__SQL	= new SQL();

			load_c('SEARCH');

			$search		=	new SEARCH($_SESSION['BASE'].'.services_header', $_GET['cat'], 'servicelistdetails', 'servicelistchange', 'servicelistdelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array ('personID', 'contactname', 'city', 'date_of_creation', 'date_of_deadline', 'delivery_day_of_week', 'finished', 'date_of_finishing', 'finisher');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $search, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');				
				$view	->	display();
				exit;
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}
	
	# display the form

	$view	=	new View('servicelistsearch');

	$view	->	assign('SELF', backward());
	
	$view 	->	cache();

	$view	->	assign('SERVICELIST_SEARCH', $__LANG->get('servicelistsearch'));
	$view	->	assign('PERSONID', $__LANG->get('personID'));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('DATE_OF_DEADLINE', $__LANG->get('date_of_deadline'));
	$view	->	assign('FINISHED', $__LANG->get('finished'));
	$view	->	assign('DATE_OF_FINISHING', $__LANG->get('date_of_finishing'));
	$view	->	assign('FINISHER', $__LANG->get('finisher'));
	$view	->	assign('DELIVERY_DAY_OF_WEEK', $__LANG->get('delivery_day_of_week'));
	$view	->	assign('BILLED', $__LANG->get('billed'));
	$view	->	assign('YES', $__LANG->get('yes'));
	$view	->	assign('NO', $__LANG->get('no'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));
	
	$ELEMENTS	=	array ('!=0'=>'!=0', '=0'=>'=0', '<0'=>'&lt;0', '<10'=>'&lt;10', '<50'=>'&lt;50', '<100'=>'&lt;100', '<500'=>'&lt;500', '<1000'=>'&lt;1000');
	
	$view	->	assign('ELEMENTS', $ELEMENTS);

	$DAYNAMES = 	array(1=>$__LANG->get('day1'), 2=>$__LANG->get('day2'), 3=>$__LANG->get('day3'), 4=>$__LANG->get('day4'), 5=>$__LANG->get('day5'), 6=>$__LANG->get('day6'), 0=>$__LANG->get('day0'));
	$view	->	assign('DAYNAMES', $DAYNAMES);	unset($DAYNAMES);

	$view	->	assign('SERVICECODE', $__LANG->get('servicecode'));

	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));

	$view	->	display();
?>
