<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag service search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('services', 'r');

	# Delete previous search data

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);

		unset($_GET['new']);
	}

	# Display founds

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SQL');

			$__SQL	= new SQL();

			load_c('SEARCH');

			$search		=	new SEARCH('ebagstock.services', $_GET['cat'], 'servicedetails', 'servicechange', 'servicedelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array('personID', 'code', 'servicename', 'unit', 'price', 'tax', 'price_with_tax');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $search, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');				
				$view	->	display();
				exit;
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}

	# Display search form
	
	$ELEMENTS = array ('!=0'=>'!=0', '=0'=>'=0', '<0'=>'&lt;0', '<10'=>'&lt;10', '<50'=>'&lt;50', '<100'=>'&lt;100', '<500'=>'&lt;500', '<1000'=>'&lt;1000');

	$view	=	new View('servicesearch');
	
	$view	->	cache();

	$view	->	assign('SELF', backward());
	$view	->	assign('SERVICESEARCH', $__LANG->get('servicesearch'));
	$view	->	assign('SERVICENO', $__LANG->get('serviceno'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('SERVICENAME', $__LANG->get('servicename'));
	$view	->	assign('PRICE', $__LANG->get('price'));
	$view	->	assign('TAX', $__LANG->get('tax'));
	$view	->	assign('PRICEWITHTAX', $__LANG->get('price_with_tax'));
	$view	->	assign('FEEDSTOCKCODE', $__LANG->get('feedstockcode'));
	$view	->	assign('ELEMENT', $ELEMENTS);
	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));

	$view	->	display();

?>
