<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag service details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('services', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('serviceread');

	$__SERVICE	=	new SERVICEREAD();

	$SERVICEDATA	=	$__SERVICE->read($_GET['id']);

	unset($__SQL, $__SERVICE);

	if (! $SERVICEDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('servicedetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('ID', $_GET['id']);
	$view	->	assign('VALUTA', $__CONF->get('payments', 'valuta'));
	$view	->	assign('CURRENCY', $__CONF->get('payments', 'currency'));
	$view	->	assign('SERVICEDETAILS', $__LANG->get('servicedetails', $_GET['id']));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('SERVICENAME', $__LANG->get('servicename'));
	$view	->	assign('UNIT', $__LANG->get('unit'));
	$view	->	assign('PRICE', $__LANG->get('price'));
	$view	->	assign('TAX', $__LANG->get('tax'));
	$view	->	assign('PRICEWITHTAX', $__LANG->get('price_with_tax'));
	$view	->	assign('DISCOUNTPRICE', $__LANG->get('discount_price'));

	load_f('mb_wrap');

	$view	->	assign('DISCOUNTPRICEWITHTAX', mb_wrap($__LANG->get('discountprice_with_tax'), 15, '<br>'));
	
	$view	->	assign('EXCHANGE', $__LANG->get('exchange'));
	$view	->	assign('EXCHANGE_RATE', $__CONF->get('payments', 'exchange_rate'));
	
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('USAGE', $__LANG->get('usage'));
	$view	->	assign('REQUESTS', $__LANG->get('requests'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	# form values

	# add discount prices to form values

	load_f('discountprice');
	$SERVICEDATA['discount_price']		= discountprice($SERVICEDATA['price']);
	$SERVICEDATA['discount_price_with_tax']	= discountprice($SERVICEDATA['price_with_tax']);

	$view	->	assign('DATA', $SERVICEDATA); unset($SERVICEDATA);
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CONTACTID', $_GET['id']);

	$view	->	display();
?>
