<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag read all employees
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class EMPLOYEESREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL		=	&$__SQL;

			$this->BASE		=	$_SESSION['BASE'];
		}

		public function read()	{

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT `personID`, `employeename` 
						FROM $this->BASE.employees 
						WHERE `deleted` IS NOT NULL	");

			if ($this->SQL->num_rows())	{

				while ($RESULT = $this->SQL->RESULT->fetch_assoc())	$DATA[$RESULT['personID']] = $RESULT['employeename'];
			}

			return $DATA;
		}
	}

?>

