<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag Reads all reminder for gived date in sql and configuration format to
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class REMINDER	{

		var $SQL;

		function __construct()	{

			global $__SQL, $__CONF;

			$this->SQL	=	&$__SQL;

			$this->FORMAT	=	$__CONF->get('date', 'sql_format');

			$this->USER	=	$this->SQL->escape($_SESSION['username']);
		}

		public function read_all($to_date, $desktop=TRUE)	{
		
			if ($desktop)	{
			
				$today		=	date("Y-m-d");
			
			}	else	{
			
				# for mobile device list last 30 days
			
				$today		=	date("Y-m-d", time()-2592000);
			}
			

			$this->SQL->query("	SELECT `date` AS `date_sql`, DATE_FORMAT(`date`, '$this->FORMAT') AS `date_conf`, `value` 
						FROM ebag.reminder 
						WHERE `user`='$this->USER' AND `date`>='$today' AND `date`<='$to_date' ORDER BY `date`");
		
			$remdata	=	FALSE;

			if ($this->SQL->RESULT->num_rows)	{

				$inc	=	0;

				while	($row = $this->SQL->RESULT->fetch_assoc())	{

							$remdata[$inc]['date']	=	$row['date_conf'];
					if ($desktop) 	$remdata[$inc]['href']	=	'href="loader.php?cat=calendar&amp;id='.$row['date_sql'].'"';
							$remdata[$inc]['value']	=	$row['value'];
							
					$inc++;
				}
			}
			
			return $remdata;
		}
	}
?>
