<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * returns eBag requested service name by ID
	 */
	 
	if ((! isset($_GET['id'])) or (! isset($_GET['base']))) exit;

	$ID	=	$_GET['id'];
	$BASE	=	$_GET['base'];

	# read configuration

	include('../classes/INIload.class.php');

	$__CONF	= new INI_load('../conf/eBag.ini');
	
	# create connection

	$mysqli = new mysqli($__CONF->get('connection', 'host'), $__CONF->get('connection', 'user'), $__CONF->get('connection', 'password'));

	if ($mysqli->connect_error) exit;

	$mysqli->set_charset("utf8");

	$mysqli->query("SET NAMES 'utf8' COLLATE 'utf8_bin'");
	
	# quick check for session
	
	if (! ($SessionName = ini_get('session.name'))) $SessionName = 'PHPSESSID';
	
	$time = time();
	
	$result = $mysqli->query("	SELECT `expiration` 
					FROM ebagtemp.sessions 
					WHERE `SID`='{$_COOKIE[$SessionName]}' AND expiration > $time LIMIT 1	");
	if (! $result->num_rows) exit;
	
	unset($time, $SessionName);
	
	# read

	$RESULT=$mysqli->query("	SELECT `contactname`, `service_discount`, `article_discount` 
					FROM $BASE.addressbook 
					WHERE `personID`='$ID' AND (`contacttype`='0' OR `contacttype`='1') LIMIT 1	");

	if (! $RESULT->num_rows) exit;

	$R_ARRAY = $RESULT->fetch_row();

	header('Expires: Sun, 10 Jan 2010 12:00:00 GMT'); 	
	header('Last-Modified: '.@gmdate( 'D, d M Y H:i:s').' GMT');
	header('Cache-Control: no-cache, no-store, must-revalidate');
	header('Pragma: no-cache');
	header('Content-Type: text/xml');

	echo  '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'."\n"
	     ."<response>\r\n<data>\r\n<name>".$R_ARRAY[0]."</name>\r\n<servicediscount>".$R_ARRAY[1]."</servicediscount>\r\n<articlediscount>".$R_ARRAY[2]."</articlediscount>\r\n</data>\r\n</response>";

?>
