<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/requestobject.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_id.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/inv_typesearch.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		
		<!--[if lte IE 8]>
			 <script type="text/javascript" src="../js/select2auto.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<![endif]-->		
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="inventory" name="inventory" method="post">

							<table class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $INVENTORY; ?> 
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">

										<!-- header left side -->

										<table class="form">
											<tr>
												<td>
													<?php echo $DATE_OF_CREATION; ?>
												</td>
												<td class="formright">
													<input name="date_of_creation" class="formbox" value="<?php echo $_POST['date_of_creation']; ?>" tabindex=1 onkeypress="return nextfield(this, event, 'employeeID')">
												</td>
											</tr>
				
											<tr>
												<td>
													<?php echo $EMPLOYEE; ?>
												</td>
												<td class="formright">

													<select id="employeeID" name="employeeID" class="fullsize" tabindex=2 onkeypress="return nextfield(this, event, 'comment')">

													<option selected value="">&lt;-------&gt;</option>

														<?php
															foreach ($EMPLOYEES as $ID=>$NAME) echo "<option value=\"$ID\">$NAME</option>\n";
														?>
													</select>
												</td>
											</tr>
										</table>
									</td>

									<td class="formtop-right">

										<!-- header right side -->

										<table class="form" width="100%">

											<tr>
												<td>
													<?php echo $COMMENT; ?>
												</td>
												<td class="formright">
													<textarea id="comment" name="comment" style="width: 153px; height: 40px" rows="2" cols="30" tabindex=3 onkeypress="return nextfield(this, event, 'code_1')"><?php echo $_POST['comment']; ?></textarea>
												</td>
											</tr>
										</table>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td colspan="2">

										<div class="columnames">
											<span class="spancolumns-code"><?php echo $COLUMNCODE; ?></span>
											<span class="spancolumns-name-long"><?php echo $COLUMNNAME; ?></span>
											<span class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
											<span class="spancolumns-unit"><?php echo $COLUMNUNIT; ?></span>
											<span class="spancolumns-quantity"><?php echo $COLUMNCHANGE; ?></span>
										</div>

										<div>
											<input id="code" name="code" class="code" value="" tabindex=4 onkeypress="return nextfield(this, event, 'name')" onchange="typesearch(this, '<?php echo $STOCK; ?>')">
											<input id="name" name="name" class="name-long" value="" readonly tabindex=5 onkeypress="return nextfield(this, event, 'newquantity')">
											<input id="quantity" name="quantity" readonly class="quantity-long" value="" tabindex=6 onkeypress="return nextfield(this, event, 'newquantity')">
											<input id="unit" name="unit" readonly class="unit" value="" tabindex=7 onkeypress="return nextfield(this, event, 'newquantity')">
											<input id="newquantity" name="newquantity" class="quantity" value="" tabindex=8 onkeypress="return nextfield(this, event, 'add')">
											<input id="add" class="button-inventory" value="+" type="button" tabindex=9 onclick="additem('<?php echo $INV_TABLE; ?>', '<?php echo $STOCK; ?>')">
										</div>

										<div id="inventorylist" class="inventorylist">
											<?php echo $INV_TABLE_DATA; ?>
										</div>
									</td>
								</tr>

								<tr>
									<td class="formright" colspan="2">

										<!-- hidden field to post inventory table & submit action-->

										<input name="inv_table" type="hidden" value="<?php echo $INV_TABLE; ?>">
										<input name="action" type="hidden" value="">

										<!-- hidden fields to store localized messages -->

										<input name="destroymsg" type="hidden" value="<?php echo $DESTROY_MSG; ?>">
										<input name="submitmsg" type="hidden" value="<?php echo $SUBMIT_MSG; ?>">

										<!-- buttons -->

										<input class="button-small" value="<?php echo $WRITE; ?>" type="button" name="make" tabindex=10 onclick="Javascript: invmake();">
										<input class="button-small" value="<?php echo $DESTROY; ?>" type="button" name="destroy" tabindex=11 onclick="Javascript: destroyinv();">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="reset" tabindex=12 onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>
						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.inventory.date_of_creation.focus();</script>

	</body>

</html>

