<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/pdfprint.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

							<table class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $ORDER2STOCKDETAILS; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">

										<!-- header left side -->

										<table class="form">
											<tr>
												<td>
													<div style="width: 70px"><?php echo $CONTACTNAME; ?></div>
												</td>
												<td class="formright">
													<input name="contactname" class="formbox" readonly value="<?php echo $DATA['contactname']; ?>">
												</td>
											</tr>
				
											<tr>
												<td>
													<?php echo $COUNTRY; ?>
												</td>
												<td class="formright">
													<input name="country" class="formbox" readonly value="<?php echo $DATA['country']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CITY; ?>
												</td>
												<td class="formright">
													<input name="city" class="formbox" readonly value="<?php echo $DATA['city']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $ZIP; ?>
												</td>
												<td class="formright">
													<input name="zip" class="formbox" readonly value="<?php echo $DATA['zip']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $STREET; ?>
												</td>
												<td class="formright">
													<input name="street" class="formbox" readonly value="<?php echo $DATA['street']; ?>">
												</td>
											</tr>
										</table>
									</td>

									<td class="formtop-right">

										<!-- header right side -->

										<table class="form" width="100%">

											<tr>
												<td style="min-width: 90px;">
													<?php echo $DATE_OF_ORDER; ?>
												</td>
												<td class="formright">
													<input name="date_of_order" class="formbox" readonly value="<?php echo $DATA['date_of_order']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CONNECTED_WITH_ORDERS; ?>
												</td>
												<td class="formright">
													<input name="connected_with_orders" class="formbox" readonly value="<?php echo $DATA['connected_with_orders']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $COMMENT; ?>
												</td>
												<td class="formright">
													<textarea name="comment" readonly style="width: 153px; height: 72px" rows="2" cols="30"><?php echo $DATA['comment']; ?></textarea>
												</td>
											</tr>
										</table>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td height="300" style="vertical-align: top;" colspan="2">

											<div class="columnames">
												<span class="spancolumns-img">&nbsp;</span>
												<span id="columncode" class="spancolumns-code-long"><?php echo $COLUMNCODE; ?></span>
												<span id="columnname" class="spancolumns-name-extralong"><?php echo $COLUMNNAME; ?></span>
												<span id="columnquantity" class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
												<span id="columnunit" class="spancolumns-unit-long"><?php echo $COLUMNUNIT; ?></span>
											</div>

											<?php 
												$COUNT		=	1;

												if (isset($DATA['code'])) $COUNT = count($DATA['code']);										

													for ($i=0; $i<$COUNT; $i++)	{

														$code = $name = $quantity = $unit = $picture = $alt = '';

														if (isset($DATA['code'][$i])) 	$code=$DATA['code'][$i];
														if (isset($DATA['name'][$i])) 	$name=$DATA['name'][$i];
														if (isset($DATA['quantity'][$i])) $quantity=$DATA['quantity'][$i];
														if (isset($DATA['unit'][$i])) $unit=$DATA['unit'][$i];
														if (isset($DATA['picture'][$i])) $picture=$DATA['picture'][$i];
														if (isset($DATA['alt'][$i])) $alt=$DATA['picture'][$i];

														echo	<<<"EOT"
														<div class="onerow">
															<span class="orderdetails-img"><img src="../images/$picture.png" width="14" height="14" title="$alt" alt="$alt" border="0"></span>
															<input name="code[]" readonly class="code-long" value="$code">
															<input name="name[]" readonly class="name-extralong" value="$name">
															<input name="quantity[]" readonly class="quantity-long" value="$quantity">
															<input name="unit[]" readonly class="unit-long" value="$unit">
														</div>
EOT;
													}

											?>

									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">
										<input class="button-small" value="<?php echo $PRINT; ?>" type="button" name="pdfprint" onclick="Javascript: _pdfprint('order2stock','<?php echo $ORDER2STOCKID; ?>','<?php if (isset($DATA['order2stock_year'])) echo $DATA['order2stock_year']; ?>');" >
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>

						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.main.cancel.focus();</script>

	</body>

</html>


