<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag about
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	$view	=	new View('about');
	
	$view	->	cache();
	
	$view	->	assign('VERSION', VERSION_NUMBER);
	$view	->	assign('RIGHT_YEAR', '2012-2015');
	$view	->	assign('DESCRIPTION', $__LANG->get('ebagdescription'));
	$view	->	assign('LICENSED_UNDER', $__LANG->get('licensedunder', '<a rel="license" target="_blank" href="../controllers/loader.php?cat=license">GNU Affero General Public License Version 3</a>'));
	$view	->	assign('INCLUDED_TFPDF', $__LANG->get('included_tfpd', '<a href="http://www.fpdf.org/?go=script&amp;id=92" target="_blank">TFPDF</a>'));
	$view	->	assign('ICONS_FROM', $__LANG->get('icons_from'));
	$view	->	assign('TEHKSEVEN_PACK', $__LANG->get('tehkseven_pack'));
	$view	->	assign('BRAINLEAF', $__LANG->get('brainleaf_set'));
	$view	->	assign('SEM_LABS', $__LANG->get('sem_labs'));
	$view	->	assign('AJAXLOAD', $__LANG->get('ajaxloadinfo'));
	$view	->	assign('USED_FONTS', $__LANG->get('used_fonts'));
	$view	->	assign('DEJAVU_FONT', $__LANG->get('dejavu_font'));
	$view	->	assign('DROID_FONT', $__LANG->get('droid_font'));
	
	$view	->	display();

?>
