<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag bill change
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	if (isset($_GET['id']))		{

		$BILLID = $_SESSION['ID'] = $_GET['id'];

	}	else	  {

		$BILLID = $_SESSION['ID'];
	}

	load_c('SQL');

	$__SQL	= new SQL();

	if (isset($_POST['submitted']))	{

		load_m('billchange');
		
		$__BILL	=	new BILLCHANGE();

		$RESULT	=	$__BILL->change($_POST);
		
		unset($__BILL, $__SQL);

		if ($RESULT !== TRUE)	{

			$view	=	new View('errorbox');
			$view	->	assign('SELF', $_SESSION['FROM']);
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $RESULT);
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		header("location: loader.php?cat=billupdated&id=$BILLID");
		
		exit;
	}

	# display form

	load_m('billread');

	$__BILL		=	new BILLREAD();

	$BILLDATA	=	$__BILL->read($BILLID);

	unset($__BILL, $__SQL);

	if (! $BILLDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentbill'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('billchange');

	$view	->	assign('SELF', backward());
	$view	->	assign('BILLCHANGE', $__LANG->get('billchange', $BILLID));
	$view	->	assign('BILLID', $BILLID);
	$view	->	assign('CONTACTNAME', $__LANG->get('contactname'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('ZIP', $__LANG->get('zip'));
	$view	->	assign('STREET', $__LANG->get('street'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('PAYMENT_DEADLINE', $__LANG->get('payment_deadline'));
	$view	->	assign('PAYMENT_FORM', $__LANG->get('payment_form'));
	$view	->	assign('CONNECTED_WITH_DELIVERYS', $__LANG->get('connected_with_deliverys'));
	$view	->	assign('CONNECTED_WITH_REVERSES', $__LANG->get('connected_with_reverses'));
	$view	->	assign('REMOVE_SERVICE_LIST', $__LANG->get('removeservicelist'));
	$view	->	assign('REMOVE_DELIVERY', $__LANG->get('removedelivery'));
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('COLUMNPRICE', $__LANG->get('columnname_unitprice'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('ANNOTATION', $__LANG->get('annotation'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	assign('DATA', $BILLDATA); unset($BILLDATA);

	$view	->	display();

?>
