<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag bills list
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('bills', 'r');

	load_c('SQL');

	$__SQL	=	new SQL();

	load_c('TABLE');

	# set the base

	$table	=	new TABLE($_SESSION['BASE'].'.bills_header', 'billdetails', 'billchange', 'billdelete', PAGEINCREMENT, $_SESSION['list_limit']);

	if (isset($_GET['customerID'])) $table->customerID($_GET['customerID']);

	$table	->	column('personID');
	$table	->	column('contactname', 'box');
	$table	->	column('city', 'box');
	$table	->	column('payment_form', 'static');
	$table	->	column('connected_with_deliverys', 'box');
	$table	->	column('connected_with_reverses', 'box');
	$table	->	column('date_of_creation', 'date');
	
	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	if (isset($_GET['customerID'])) $_SESSION['FROM'] .= '&amp;customerID='.$_GET['customerID'];

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'contactname');
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
