<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag contact search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('addressbook', 'r'); 

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);
	}

	/**
	 * Display founds
	 */

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SQL');

			$__SQL	= new SQL();

			load_c('SEARCH');

			$search		=	new SEARCH($_SESSION['BASE'].'.addressbook', $_GET['cat'], 'contactdetails', 'contactchange', 'contactdelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array('personID', 'contactname', 'city', 'telephone1', 'contacttype', 'delivery_day_of_week', 'critic');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $search, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');				
				$view	->	display();
				exit;
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}

	/**
	 * Display search form
	 */
	
	$view	=	new View('contactsearch');
	
	$view 	->	cache();
	
	$view	->	assign('SELF', backward());
	$view	->	assign('CONTACTSEARCH', $__LANG->get('contactsearch'));
	$view	->	assign('CONTACTID', $__LANG->get('contactid'));
	$view	->	assign('NAME', $__LANG->get('contactname'));
	$view	->	assign('CONTACTPERSON', $__LANG->get('contactperson'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('DELIVERY', $__LANG->get('seconddelivery'));
	$view	->	assign('DELIVERYCOUNTRY', $__LANG->get('deliverycountry'));
	$view	->	assign('DELIVERYCITY', $__LANG->get('deliverycity'));
	$view	->	assign('DELIVERYDAYOFWEEK', $__LANG->get('deliverydayofweek'));
	$view	->	assign('TYPE', $__LANG->get('contacttype'));
	$view	->	assign('CRITIC', $__LANG->get('critic'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('SEARCH', $__LANG->get('search'));

	$DAYNAMES = 	array(1=>$__LANG->get('day1'), 2=>$__LANG->get('day2'), 3=>$__LANG->get('day3'), 4=>$__LANG->get('day4'), 5=>$__LANG->get('day5'), 6=>$__LANG->get('day6'), 0=>$__LANG->get('day0'));
	$view	->	assign('DAYNAMES', $DAYNAMES);	unset($DAYNAMES);

	$TYPES	=	array();

	for ($i=0; $i<6; $i++) array_push($TYPES, $__LANG->get("type$i"));

	$view	->	assign('TYPES', $TYPES); unset($TYPES, $types);

	$view	->	display();
?>
