<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag feedstock details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('feedstock', 'r'); 

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('feedstockread');

	$__FEEDSTOCK	=	new FEEDSTOCKREAD();

	$FEEDSTOCKDATA	=	$__FEEDSTOCK->read($_GET['id']);

	unset($__SQL, $__FEEDSTOCK);

	if (! $FEEDSTOCKDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('feedstockdetails');

	$view	->	assign('FEEDSTOCKDETAILS', $__LANG->get('feedstockdetails', $_GET['id']));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('NAME', $__LANG->get('feedstockname'));
	$view	->	assign('DIMENSIONS', $__LANG->get('dimensions'));
	$view	->	assign('UNIT', $__LANG->get('unit'));
	$view	->	assign('CALCULATIONPRICE', $__LANG->get('calculation_price'));
	$view	->	assign('PURCHASEPRICE', $__LANG->get('purchase_price'));
	$view	->	assign('CURRENCY', $__CONF->get('payments', 'valuta'));
	$view	->	assign('SUPPLIER', $__LANG->get('supplier'));
	$view	->	assign('SUPPLIERID', $__LANG->get('supplierID'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('ORIGIN', $__LANG->get('origin'));
	$view	->	assign('USAGE', $__LANG->get('usage'));
	$view	->	assign('SUPPLIERID', $__LANG->get('personID'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));
	$view	->	assign('QUANTITYORDERED', $__LANG->get('quantity_ordered'));
	$view	->	assign('QUANTITYORDEREDTOSTOCK', $__LANG->get('quantity_ordered_to_stock'));
	$view	->	assign('QUANTITYONEPENEDORDERTOSTOCK', $__LANG->get('quantity_on_opened_order_to_stock'));
	$view	->	assign('QUANTITYINPRODUCTION', $__LANG->get('quantity_in_production'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	# form values

	$FEEDSTOCKDATA['origin']=$__LANG->get('origin'.$FEEDSTOCKDATA['origin']);

	$view	->	assign('DATA', $FEEDSTOCKDATA); unset($FEEDSTOCKDATA);
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('ID', $_GET['id']);

	$view	->	display();
?>
