<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag inventory print by number (css)
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	if ($_GET['stock']) pagepermission($_GET['stock'], 'r');

	if ($_GET['stock'] == 'stock') {$STOCK = 'finished_goods_stock';} else {$STOCK = $_GET['stock'];}

	if (isset($_POST['selected']))	{
	
		$empty_requested = $id_requested = FALSE;
		
		if (isset($_POST['emptylist']) && $_POST['emptylist']) $empty_requested = TRUE;
		
		if ((integer)$_POST['id'] > 0) $id_requested = (integer)$_POST['id'];

		if ($empty_requested or $id_requested)	{

			load_c('SQL');

			$__SQL	= new SQL();

			load_m('inventoryprint');

			$__INVENTORY = new INVENTORYPRINT();
			
			$__INVENTORY->stock($STOCK);
			
			if ($empty_requested) $__INVENTORY->emptylist();
			
			if ($id_requested) $__INVENTORY->inventoryID($id_requested);

			$PRINT_JS = $__INVENTORY->form_print_command();

			unset ($__INVENTOR, $__SQL);

			if ($PRINT_JS === FALSE)	{

				$view	=	new View('errorbox');
				$view	->	assign('SELF', backward().'&amp;stock='.$_GET['stock']);
				$view	->	assign('ERROR', $__LANG->get('error'));
				$view	->	assign('ERRTXT', $__LANG->get('unexistentinventory'));
				$view	->	assign('BACK', $__LANG->get('back'));
				$view	->	display();
				exit;
			}
		}
	}

	$view	=	new View('inventoryprint');

	$view 	->	assign('SELF', backward().'&amp;stock='.$_GET['stock']);
	$view 	->	assign('SELECTLABEL', $__LANG->get('inventoryselect'));
	$view 	->	assign('SELECTEDID', $__LANG->get('inventorybynumber'));
	$view 	->	assign('EMPTY_LIST_PRINT', $__LANG->get('emptylistprint'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id='.$_GET['stock']);
	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));

	if (isset($PRINT_JS))	$view	->	assign('PRINT_JS', $PRINT_JS);

	$view	->	display();

?>
