<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag operating suplies list
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('operating_suplies', 'r');

	load_c('SQL');

	$__SQL	=	new SQL();

	load_c('TABLE');

	# set the base

	$BASE	=	'ebagstock';

	$table	=	new TABLE($BASE.'.operating_suplies', 'operatingsupliedetails', 'operatingsupliechange', 'operatingsupliedelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('code', 'box');
	$table	->	column('supliename', 'box');
	$table	->	column('dimensions', 'box');
	$table	->	column('quantity', 'numeric');
	$table	->	column('quantity_in_production', 'numeric');
	$table	->	column('unit', 'static');
	$table	->	column('purchase_price', 'numeric');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'code');
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
