<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag salary constans
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	check_year_for_write('salarys');

	pagepermission('salarys', 'w');

	load_c('SQL');

	$__SQL	= new SQL();

	if (isset($_POST['submit']))	{

		load_m('salaryglobalswrite');

		$__GLOBALS	=	new SALARYGLOBALSWRITE();

		$RESULT		=	$__GLOBALS->write($_POST);

		unset($__GLOBALS, $__SQL);

		if ($RESULT !== TRUE)	{
		
			$_POST['_err_address'] = backward();

			$_SESSION['_POST_ERR'] = $_POST;

			$view	=	new View('errorbox');
			$view	->	assign('SELF', $_POST['_err_address'].'&amp;p_err=1');
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('datawritten'));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', backward());
		$view	->	display();
		exit;
	}

	if (post_get_data_verified())	{

		$_POST = enc_quotes($_SESSION['_POST_ERR']);

		unset($_SESSION['_POST_ERR']);

	}	else	{

		# note: the model will set starting values if no records found

		load_m('salaryglobalsread');

		$__GLOBALS	=	new SALARYGLOBALSREAD();

		$_POST 		= 	$__GLOBALS->read();

		unset($__GLOBALS, $__SQL);	
	}

	$view	=	new View('salaryglobals');

	$view	->	assign('SELF', backward());
	$view	->	assign('SALARY_GLOBAL_SETTINGS', $__LANG->get('salaryglobals'));
	$view	->	assign('OVERTIME_WORK', $__LANG->get('overtime_work'));
	$view	->	assign('NIGHT_WORK', $__LANG->get('night_work'));
	$view	->	assign('HOLIDAY_WORK', $__LANG->get('holiday_work'));
	$view	->	assign('HOLIDAY', $__LANG->get('holiday'));
	$view	->	assign('SICK_LEAVE', $__LANG->get('sick_leave'));
	$view	->	assign('ANNUAL_LEAVE', $__LANG->get('annual_leave'));
	$view	->	assign('ADDITIONAL', $__LANG->get('addition'));
	$view	->	assign('BASE', $__LANG->get('base'));
	$view	->	assign('VALUE', $__LANG->get('value'));
	$view	->	assign('NAME', $__LANG->get('name'));
	$view	->	assign('START', $__LANG->get('start'));
	$view	->	assign('PREVIOUS', $__LANG->get('previous'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=salarys');

	$view	->	display();
?>

