<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag salary search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('salarys', 'r');

	# Delete previous search data

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);

		unset($_GET['new']);
	}

	load_c('SQL');

	$__SQL	= new SQL();

	# Display founds

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SEARCH');

			$search		=	new SEARCH($_SESSION['BASE'].'.salarys', $_GET['cat'], 'salarydetails', '', 'salarydelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array ('personID', 'employeename', 'month', 'month_part', 'date_of_creation', 'fix_payment', 'working_hour_value', 'E_bonus_production', 'E_bonus_services', 'E_bonus_product_sell', 'E_bonus_service_sell', 'E_payment');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $search, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');				
				$view	->	display();
				exit;
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}

	# display the search form

	load_m('employeesread');

	$__EMPLOYEES	=	new EMPLOYEESREAD();

	$EMPLOYEESDATA	=	$__EMPLOYEES->read();

	unset($__EMPLOYES);

	if (! $EMPLOYEESDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=section&amp;id=salarys');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('noemployees'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view		=	new View('salarysearch');

	$view	->	assign('SELF', backward());
	$view	->	assign('SALARY_SEARCH', $__LANG->get('salary_search'));
	$view	->	assign('PERSONID', $__LANG->get('personIDlong'));
	$view	->	assign('EMPLOYEE', $__LANG->get('employee'));
	$view	->	assign('MONTH', $__LANG->get('month'));
	$view	->	assign('PERIOD', $__LANG->get('month_part'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('FIX_PAYMENT', $__LANG->get('fix_payment'));
	$view	->	assign('PAYMENT_ACCORDING_TO_WORKING_HOURS', $__LANG->get('payment_according2hours'));

	$MONTHS	=	array();
	
	for ($i=1; $i<=12; $i++)	{
	
		# months
	
		$MONTHS[$i] = $__LANG->get("monthname$i");
	
		# semi-months
		
		$j = $i*3;
		
		$MONTH_PARTS[$j-2] = $MONTHS[$i].'&nbsp;&nbsp;&nbsp;&nbsp;I';
		
		$MONTH_PARTS[$j-1] = $MONTHS[$i].'&nbsp;&nbsp;&nbsp;II';

		$MONTH_PARTS[$j]   = $MONTHS[$i].'&nbsp;I-II';
	}

	$view 	->	assign('MONTHS', $MONTHS); unset($MONTHS);
	$view 	->	assign('MONTH_PARTS', $MONTH_PARTS); unset($MONTH_PARTS);
	$view	->	assign('EMPLOYEES', $EMPLOYEESDATA); unset($EMPLOYEESDATA);
	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=salarys');

	$view	->	display();

?>

