<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag articles quicksearch to order
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	# note: the frames not checks for permission the parent will

	load_c('SQL');

	$__SQL	=	new SQL();

	load_c('STOCKQUICKSEARCH');

	$search	=	new STOCKQUICKSEARCH('finished_goods_stock');

	$view	=	new View('stockquicksearch');
	
	$view	->	assign('SEARCHTABLE', $search->TABLE);
	$view	->	assign('PAGINATION', $search->PAGINATION);

	unset($SEARCH, $__SQL);

	$view	->	assign('SELF', backward());
	$view	->	assign('NAME', $__LANG->get('articalname'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('ALL', $__LANG->get('all'));

	$view	->	display();

?>
