<?php

	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 *	Function to load language at install
	 */
	 
	 function loadlanguage($file, $lang)	{
		
		$langfile = @file(BASEDIR."lang/$lang/$file.$lang");

		if ($langfile===FALSE) exit("Fatal error: language file $lang not found !");

		foreach ($langfile as $line)	{
		
			if (! strlen(mb_eregi_replace('\s', '', $line))) continue;

				list($key, $val) = mb_split('=>', $line);

				$LANGUAGE[mb_eregi_replace('\s', '', $key)] = mb_eregi_replace('^\s*|\s*$', '', $val);
		}
		
		return $LANGUAGE;
	 }

?>