	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * eBag copy selected date in defined format to parent from
	 */
	
	function copy_d(field)	{
	  
		var parentField = parent.document.getElementById("date");
		
		if (parentField == null) return;
		
		parentField.value = get_date(field);
		
		if (typeof parentField.onchange == 'function') parentField.onchange();
	}
	
	function get_date(field)	{
	  
		var defs = document.getElementById("date_format").value.split("");
		
		var date = field.id.substr(2).split("-");

		var len  = defs.length;
		
		//  format: signs day=>d,j month=>m,n year=>y,Y and php valid separators
		
		var formatted = "";

		for (i=0; i<len; i++) {
		  
			switch(defs[i]) {
			  
				case "d":	if (date[2] < 10) date[2] = '0' + date[2].toString();
				
						formatted += date[2];
				
						break;
						
				case "j":	formatted += date[2];
				  
						break;
						
				case "m":	if (date[1] < 10) date[1] = '0' + date[1].toString();
				
						formatted += date[1];
				
						break;

				case "n":	formatted += date[1];
				
						break;

				case "y":	formatted += date[0].substr(2);
				  
						break;
						
				case "Y":	formatted += date[0];
				  
						break;

				default:	formatted += defs[i];
			} 
		}
		
		return formatted;
	}
	
	// handle esc
	
	function calendar_hide()	{
	  
		var cal_frame = parent.document.getElementById("calendarframe");
		
		if (cal_frame == null) return;

		cal_frame.style.display		=	'none';
		cal_frame.style.visibility	=	'hidden';
		
		var focus_to = parent.document.getElementById("date");
		
		if (focus_to != null) {focus_to.focus();} else {parent.document.forms[0].focus();}
	}
	
	// assign escape function
	
	function escape__function()	{calendar_hide();}
	