	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * Focus to the next field for use in input fields list 
	 * tables needs defined id="focusto" in searchframe
	 */

	function nextfield(field, event, target)	{
	  
		var next;

		var CODE = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;

		if ((CODE == 13) && (field.type != 'textarea'))	{

			// header by id
			
			next_f = document.getElementById(target);

			if (next_f == null)	{
			  
				// row by id
			  
				var parentid = field.parentNode.id;

				if (parentid.indexOf('rowid_') != -1)	{

					var elements	=	parentid.split('_');		
					var newtarget	=	target + '_' + elements[1];
					
					next_f = document.getElementById(newtarget);
				}
			}
			
			if (next_f != null)	{

				next_f.focus();

				return false;
			}		
		}

		return true;
	}     

