<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag company data read
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class BANKREAD	{
	
		var $SQL;
	
		function __construct()	{
		
			global $__SQL;
			
			$this->SQL = &$__SQL;
		}

		function read()	{
		
			$bank1 = $account1 = '';
		
			$this->SQL->query("	SELECT `bank1`, `account1`, `bank2`, `account2`
						FROM ebag.companydata 
						WHERE personID = (
								    SELECT MAX(`personID`) AS `personID`
								    FROM ebag.companydata
								 )
						LIMIT 1	");

			if ($this->SQL->num_rows())	{
			
				list($bank1, $account1, $bank2, $account2) = $this->SQL->RESULT->fetch_row();
			
				if (! $bank1) {$bank1 = $bank2; $account1 = $account2;}
			}

			return array($bank1, $account1);
		}
	}
?>
