<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag service feedstock request read
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class FEEDSTOCKREQUESTREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL		=	&$__SQL;
			$this->STOCKBASE	=	'ebagstock';
		}

		public function read($SERVICEID)	{

			$DATA		=	FALSE;
			$SERVICEID	=	$this->SQL->escape($SERVICEID);

			$this->SQL->query("	SELECT * 
						FROM $this->STOCKBASE.feedstock_requests_list 
						WHERE `serviceID`='$SERVICEID' AND `deleted` IS NOT NULL ORDER BY `personID` ");

			if ($this->SQL->num_rows())	{

				$CODE = $NAME = $QUANTITY = $UNIT = array();

				while ($RESULT = $this->SQL->RESULT->fetch_assoc())	{

					$CODE[]		=	$RESULT['code'];
					$NAME[]		=	$RESULT['feedstockname'];
					$QUANTITY[]	=	$RESULT['quantity'];
					$UNIT[]		=	$RESULT['unit'];
				}

				$DATA	=	array('code'=>$CODE, 'name'=>$NAME, 'quantity'=>$QUANTITY, 'unit'=>$UNIT);
			}

			return $DATA;
		}
	}

?>
