<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * returns eBag requested name, unit and quantity by code 
	 * for inventory, or nothing if the code is not defined
	 */

	if ((! isset($_GET['code'])) or (! isset($_GET['table']))) exit;
	
	# Turn off magic quotes runtime

	if (get_magic_quotes_runtime())	set_magic_quotes_runtime(false);

	# If magic quotes is enabled strip slashes from code

	if (get_magic_quotes_gpc()) $_GET['code'] = stripslashes($_GET['code']);

	$code	=	$_GET['code'];

	if ($_GET['table'] == 'stock')		{

		$TABLE	= 'finished_goods_stock';
	
	}	else	 {

		$TABLE = $_GET['table'];
	}

	$NAMES	=	array(	'feedstock'		=>	'feedstockname',
				'finished_goods_stock'	=>	'articalname',
				'operating_suplies'	=>	'supliename'	);

	$NAME 	=	$NAMES[$TABLE];

	# read configuration

	include('../classes/INIload.class.php');

	$__CONF	= new INI_load('../conf/eBag.ini');
	
	# create connection

	$mysqli = new mysqli($__CONF->get('connection', 'host'), $__CONF->get('connection', 'user'), $__CONF->get('connection', 'password'));
	
	if ($mysqli->connect_error) exit;

	$mysqli->set_charset("utf8");

	$mysqli->query("SET NAMES 'utf8' COLLATE 'utf8_bin'");

	$code	=	$mysqli->real_escape_string(htmlspecialchars($code, $__CONF->get('specialchars', 'flag'), 'UTF-8', FALSE));

	$RESULT=$mysqli->query("	SELECT  `$NAME`, `unit`, `quantity`
					FROM ebagstock.$TABLE 
					WHERE `deleted` IS NOT NULL AND `code`='$code' LIMIT 1	"); 


	if (! $RESULT->num_rows) exit;

	$R_ARRAY = $RESULT->fetch_row();

	header('Expires: Sun, 10 Jan 2010 12:00:00 GMT'); 
	header('Last-Modified: '.@gmdate( 'D, d M Y H:i:s').' GMT');
	header('Cache-Control: no-cache, no-store, must-revalidate');
	header('Pragma: no-cache');
	header('Content-Type: text/xml');

	echo  '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'."\n"
	     ."<response>\r\n<data>\r\n<name>".$R_ARRAY[0]."</name>\r\n<unit>".$R_ARRAY[1]."</unit>\r\n<quantity>".$R_ARRAY[2]."</quantity>\r\n</data>\r\n</response>";


?>
