<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_name.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body>

		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

								<form action="../barcodes/bar_code_generator.php" target="_blank" name="barcode" method="get">

									<table class="form">

										<tr>
											<td class="formlabel" colspan="2">
												<?php echo $BAR_CODE_GENERATOR; ?>
											</td>
										</tr>

										<tr class="separator"><td colspan="2"></td></tr>

										<tr>
											<td>
												<?php echo $BAR_TYPE; ?>
											</td>

											<td class="formright">

												<select name="bar_type" style="width: 150px" onkeypress="return nextfield(this, event, 'artical_code')">

													<option value="code39">Code 39</option>
													<option value="code39_e">Code 39 extended</option>
													<option value="interleaved2of5">Interleaved 2 of 5</option>
													<option value="code128_A">Code 128 A</option>
													<option selected value="code128_B">Code 128 B</option>
													<option value="code128_C">Code 128 C</option>
													<option value="upca">UPC-A</option>
													<option value="upce">UPC-E (converts UPC-A)</option>
													<option value="ean13">EAN-13</option>
													<option value="ean8">EAN-8</option>
												</select>
											</td>
										</tr>

										<tr>
											<td>
												<?php echo $CODE; ?>
											</td>

											<td class="formright">

												<input name="artical_code" style="width: 148px;" value="<?php echo $ARTICAL_CODE; ?>" onkeypress="return nextfield(this, event, 'bar_width')">
											</td>
										</tr>

										<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

										<tr>
											<td>
												<?php echo $BAR_WIDTH; ?>
											</td>

											<td class="formright">

												<input name="bar_width" style="width: 70px;" value="1" onkeypress="return nextfield(this, event, 'height')">
											</td>
										</tr>

										<tr>
											<td>
												<?php echo $BAR_CANVAS_HEIGHT; ?>
											</td>

											<td class="formright">

												<input name="height" style="width: 70px;" value="50" onkeypress="return nextfield(this, event, 'padding')">
											</td>
										</tr>

										<tr>
											<td>
												<?php echo $PADDING; ?>
											</td>

											<td class="formright">

												<input name="padding" style="width: 70px;" value="10" onkeypress="return nextfield(this, event, 'print_code')">
											</td>
										</tr>

										<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

										<tr>
											<td>
												<?php echo $PRINT_CODE; ?>
											</td>
											<td class="formright">
												<input name="print_code"  type="checkbox" checked class="checkbox-center" onkeypress="return nextfield(this, event, 'font_size')">												
											</td>
										</tr>

										<tr>
											<td>
												<?php echo $FONT_SIZE; ?>
											</td>

											<td class="formright">

												<select name="font_size" style="width: 72px" onkeypress="return nextfield(this, event, 'generate')">

													<option value="8">8 px</option>
													<option value="9">9 px</option>
													<option selected value="10">10 px</option>
													<option value="11">11 px</option>
													<option value="12">12 px</option>
													<option value="13">13 px</option>
													<option value="14">14 px</option>
													<option value="15">15 px</option>
													<option value="16">16 px</option>
												</select>
											</td>
										</tr>

										<tr>
											<td class="formright" colspan="2">
												<input class="button-small" value="<?php echo $GENERATE; ?>" type="submit" name="generate">
												<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
											</td>
										</tr>

									</table>

								</form>
					</div></div>
				</td>
			</tr>
		</table>

		<script type="text/javascript">document.barcode.bar_type.focus();</script>
	</body>
</html>

